use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile
  (
   NAME         => 'Pd::Patch',
   VERSION_FROM => 'Patch.pm', # finds $VERSION
   AUTHOR       => 'Bryan Jurish <moocow@ling.uni-potsdam.de>',
   ABSTRACT     => 'Kludge for offline parsing and manipulation of Pd abstractions',
   PREREQ_PM    => {
		    #Text::Wrap=>undef,
		   },
  );

#---------------------------------------------------------------
# Extensions
#---------------------------------------------------------------

sub MY::postamble {
  # how to format the README file
  "README.txt : README.POD\n"
  ."\tpod2text README.POD README.txt\n\n";
}

sub MY::dist_core {
  package MY;
  my $inherited = shift->SUPER::dist_core(@_);
  $inherited =~
    # ... distribution requires current README file
    s/^dist\s*:/dist\ : README.txt/m;
  $inherited;
}
