##-*- Mode: CPerl -*-

## File: Pd/Patch.pm
## Author: Bryan Jurish <moocow@ling.uni-potsdam.de>
## Description:
##  + Perl parser and wrapper classes for Pd patches
##======================================================================

package Pd::Patch;
use Exporter;
use Pd::Patch::Item;
use Pd::Patch::Color;
use Pd::Patch::canvas;
use Pd::Patch::atom;
use Pd::Patch::array;

use Pd::Patch::obj;
use Pd::Patch::gui;

our @ISA = qw(Pd::Patch::N_canvas);

our $VERSION = 0.01;


1; ##-- be happy

__END__

##======================================================================
## Docs
=pod

=head1 NAME

Pd::Patch - Kludge for offline parsing and manipulation of Pd abstractions

=head1 SYNOPSIS

 use Pd::Patch;

 #... stuff happens...

=cut

##======================================================================
## Description
=pod

=head1 DESCRIPTION

not yet written... see the code

=cut

##======================================================================
## Footer
=pod

=head1 ACKNOWLEDGEMENTS

perl by Larry Wall.

Pd by Miller Puckette and others.

=head1 AUTHOR

Bryan Jurish E<lt>moocow@ling.uni-potsdam.deE<gt>

=head1 COPYRIGHT

Copyright (c) 2007, Bryan Jurish.  All rights reserved.

This package is free software.  You may redistribute it
and/or modify it under the same terms as Perl itself.

=head1 SEE ALSO

perl(1),
pd(1).

=cut
